Skip to main content
GET
/
extern
/
fe
/
balance
/
history
Get historical balance snapshots
curl --request GET \
  --url https://{host}/extern/fe/balance/history \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Publishable-Key: <api-key>'
const options = {
  method: 'GET',
  headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://{host}/extern/fe/balance/history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://{host}/extern/fe/balance/history"

headers = {
    "X-Publishable-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "status": "<string>",
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "totalValue": {},
      "totalUnderlyingValue": 123,
      "totalYield": {},
      "totalYieldUnderlying": 123,
      "primaryUnderlyingSymbol": "<string>",
      "primaryUnderlyingDecimals": 123,
      "primaryUnderlyingAddress": "<string>",
      "breakdown": "<unknown>"
    }
  ]
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}

Authorizations

X-Publishable-Key
string
header
required

Tenant publishable key (pk_live_...)

Authorization
string
header
required

SIWE session JWT issued by POST /auth/verify

Query Parameters

startDate
string
endDate
string

Response

Success

status
string
required
Allowed value: "success"
data
object[]
required
Last modified on July 3, 2026